javascript:
	/* Watermark ID: CB70-8426-1753-66-15-4 */
	var WaxInterface = {};


	WaxInterface.printToConsole = function(msg){
		idscWaxInterface.printToConsole(msg);
	};

	/**
	 * This is the interface to native code
	 * to get all the available logins for a host name 
	 */
	WaxInterface.getSavedLogins = function(webPageData){
		var jsonResultString = idscWaxInterface.getSavedLogins(JSON.stringify(webPageData), WAXJS.secToken);
		var result = eval(jsonResultString);
		if(result && result.token){
			WAXJS.secToken = result.token;
		}
		
		return result;
	};
	
	
	/**
	 * Interface to native code for saving login items
	 */
	WaxInterface.saveLogin = function(login, webPageData){
		var autoFilledLoginGuid = '';
		var loginForm = WAXJS.currentLoginForm;
		if(loginForm && loginForm.filledLogin && loginForm.filledLogin.guid){
			autoFilledLoginGuid = loginForm.filledLogin.guid;
		}
		var jsonResultString = idscWaxInterface.saveLogin(JSON.stringify(login), JSON.stringify(webPageData), WAXJS.secToken, autoFilledLoginGuid);
		var result = eval(jsonResultString);
		if(result && result.token){
			WAXJS.secToken = result.token;
		}
		return result;
	};
	
	/**
	 * Interface to native code to fill the user selected
	 * login item on the login page
	 */
	WaxInterface.fillUserSelectedLogin = function(jsonResultString){
		var result = eval(jsonResultString);
		if(result && result.token){
			WAXJS.secToken = result.token;
		} else {
			return;
		}
		
		var login = result.idscLoginItem;
		if(WAXJS.currentLoginForm && login){
			WAXJS.FormFiller.fillLoginFormValues(WAXJS.currentLoginForm, result);
		}
	};
	
	/**
	 * Interface to native code to fill the user selected
	 * login item on the login page
	 */
	WaxInterface.fillUserSelectedIdentity = function(jsonResultString){
		var result = eval(jsonResultString);
		if(result && result.token){
			WAXJS.secToken = result.token;
		} else {
			return;
		}
		
		var identity = result.idscIdentity;
		if(WAXJS.FocusedIdentityForm && identity){
			WAXJS.FormFiller.fillIdentityFormValues(WAXJS.FocusedIdentityForm, identity);
		}
	};
	
	/**
	 * Interface to native code to fill the user selected
	 * login item on the login page
	 */
	WaxInterface.fillAllAddressFormsOnPage = function(jsonResultString){
		var result = eval(jsonResultString);
		if(result && result.token){
			WAXJS.secToken = result.token;
		} else {
			return;
		}
		
		var identity = result.idscIdentity;
		if(identity){
			WAXJS.FormFiller.fillAllAddressFormsOnPage(identity);
		}
	};
	
	
	/**
	 * This method will display dropdown notifications
	 * TODO: need to attach with native notification system
	 */
	WaxInterface.displayNotification = function(message){
		if(typeof(message) == 'string'){
			alert(message);
		}
		
		if(typeof(message) == 'object' && message.errorMessage){
			alert(message.errorMessage);
		}
	};
	
	
	/**
	 * This is the interface to native code
	 * to get all the available logins for a host name 
	 */
	WaxInterface.getSavedIdentity = function(webPageData){
		var jsonResultString = idscWaxInterface.getSavedIdentity(JSON.stringify(webPageData), WAXJS.secToken);
		var result = eval(jsonResultString);
		if(result && result.token){
			WAXJS.secToken = result.token;
		} else {
			return;
		}
		
		return result;
	};
	
	WaxInterface.reportException = function(errorMessage, webpageData){
		/* idscWaxInterface.reportException(errorMessage, webpageData); */
	};
	
	WaxInterface.updateToken = function(newToken){
		WAXJS.secToken = newToken;
	};
	
	WaxInterface.updateSuccessfulLoginFill = function(){
		var resultString = '', result;
		try{
			resultString = idscWaxInterface.updateSuccessfulLoginFill(WAXJS.secToken);
			result = eval(resultString);
			if(result && result.token){
				WAXJS.secToken = result.token;
			}
			
		} catch(e){}
	};
	
	WaxInterface.updateFailedLoginFill = function(){
		var resultString = '', result;
		try{
			resultString = idscWaxInterface.updateFailedLoginFill(WAXJS.secToken);
			result = eval(resultString);
			if(result && result.token){
				WAXJS.secToken = result.token;
			}
			
		} catch(e){}
	};
	
	WaxInterface.updateSuccessfulAddressFill = function(){
		var resultString = '', result;
		try{
			resultString = idscWaxInterface.updateSuccessfulAddressFill(WAXJS.secToken);
			result = eval(resultString);
			if(result && result.token){
				WAXJS.secToken = result.token;
			}
			
		} catch(e){}
	};
	
	WaxInterface.updateFailedAddressFill = function(){
		var resultString = '', result;
		try{
			resultString = idscWaxInterface.updateFailedAddressFill(WAXJS.secToken);
			result = eval(resultString);
			if(result && result.token){
				WAXJS.secToken = result.token;
			}
			
		} catch(e){}
	};