javascript:
function getElementsByClassName(fatherId, tagName, className) {
	node = fatherId && document.getElementById(fatherId) || document;
	tagName = tagName || "*";
	className = className.split(" ");
	var classNameLength = className.length;
	for(var i = 0, j = classNameLength; i < j; i++) {
		className[i] = new RegExp("(^|\\s)" + className[i].replace(/\-/g, "\\-") + "(\\s|$)");
	}
	var elements = node.getElementsByTagName(tagName);
	var result = [];
	for(var i = 0, j = elements.length, k = 0; i < j; i++) {
		var element = elements[i];
		while(className[k++].test(element.className)) {
			if(k === classNameLength) {
				result[result.length] = element;
				break;
			}
		}
		k = 0;
	}
	return result;
}

function addRating() {
	window.android.jsLog("start addRating()");
	var list = getElementsByClassName(document, "h3", "r");
	if(list.length == 0){
		list = getElementsByClassName(document, "div", "jd");
	}

	for(var i = 0; i < list.length; i++) {
		window.android.jsLog("add item:" + i);
		var e = list[i];

		if(i == 0) {
			try {
				var check = e.lastChild.getAttribute("href");
				if(check.indexOf("safeweb.norton.com") != -1) {
					window.android.jsLog("already added");
					return;
				}
			} catch(err) {
			}
		}

		var url = e.firstChild.getAttribute("href");
		var rate = window.android.getSiteRating(url);
		var image;

		if(rate == "buysafe") {
			image = "http://sp.ask.com/sh/i/a11/SYM_SW_SecuredNew.png";
		} else if(rate == "good") {
			image = "http://sp.ask.com/sh/i/a11/SYM_SW_Green.png";
		} else if(rate == "warning") {
			image = "http://sp.ask.com/sh/i/a11/SYM_SW_Orange.png";
		} else if(rate == "bad") {
			image = "http://sp.ask.com/sh/i/a11/SYM_SW_Red.png";
		} else if(rate == "unknown") {
			image = "http://sp.ask.com/sh/i/a11/SYM_SW_Gray.png";
		} else if(rate == "error") {
			image = "http://sp.ask.com/sh/i/a11/SYM_SW_Gray.png";
		}
		newElement = document.createElement('a');
		newElement.setAttribute("href", "http://safeweb.norton.com/report/show?url=" + url);
		space = document.createTextNode(" ");
		rating = document.createElement('img');
		rating.setAttribute("src", image);

		newElement.appendChild(space);
		newElement.appendChild(rating);
		e.appendChild(newElement);

	}
	window.android.jsLog("end addRating()");
}

addRating();
