javascript:
	/* Watermark ID: CB70-8426-1753-66-15-4 */
	
	
WAXJS.LabelTokens = {};
WAXJS.LabelTokens.CHAR_REPLACEMENTS = [{"chars":['É','é','ë'],"rep":"e"},{"chars":['À','à','Â','â','Æ','æ'],"rep":"a"},
                            {"chars":['Ç','ç'],"rep":"c"},{"chars":['Î','î','Ï','ï'],"rep":"i"},
                            {"chars":['Ô','ô','Œ','œ'],"rep":"o"},{"chars":['Ù','Û','û','Ü','ü'],"rep":"u"},
                            {"chars":['Ÿ','ÿ'],"rep":"y"}];

WAXJS.LabelTokens.USERID_TOKENS = ['user','=id','userid','username','signin','=uid','login','account','create',
									'customer','member','loginid','accountid','accountname','clientnumber',
									'customerid','customername','memberid','loginid','screenid','screenname',
									'createid','memberlogin','nickname','online','onlineid','registration',
									'subscriber','subscriberid','subscribername','email','användarnamn','=anv','=alias',
									'acceso','appleid','azonosito','benutzeridentifikation','identifikation','benutzername',
									'=benutzer','brugernavn','brukernavn','=bruger','codiceutente','codeclient','clientcode',
									'codigopersonal','felhasznalonev','felhasznaloinev','gebruikers','gebruikersnaam','=gebruiker',
									'identifiant','=identificador','=identyfikator','klantnummer','=kennung','kullaniciadiniz',
									'kullaniciadi','kullanici','kundennumber','kundennummer','mitgliedsname','nazwauzytkownika'];

WAXJS.LabelTokens.PASSWORD_TOKENS = ['password','=pass','passwd','adgangskode','wachtwoord','kennwort','codigodeacceso',
									'codigo','passe','hasło','heslo','jelszo','kodeord','=kontrolle','=losen','losenord',
									'paswoord','passwort','personligkod','salasana','senha','sifre','sifreniz','пароль',
									'пароля'];

WAXJS.LabelTokens.FIRSTNAME_TOKENS = ['firstname','namefirst','name1','vorname','etunimet','etunimi','givenname','forename','fornamn',
                                      'eerstenaam','emer','lehenizena','собственоиме','=ime','křestníjmeno','fornavn','voornaam',
                                      'eesnimi','pangalan','prenom','nome','keresztnev','fornafn','namadepan','namakecil','=ad',
                                      'primernombre','nombreprimero','nombredepila','krstnemeno','имя','prenume','primeironome',
                                      'pierwszeimie','tilltalsnamn','tilltalsnamnet'];

WAXJS.LabelTokens.LASTNAME_TOKENS = ['lastname','secondname','namelast','familyname','namefamily','surname','name2','apellido','cognome','efternamn',
                                     'efternavn','etternavn','familienaam','familienname','nachnamen','naamhoofdpersoon','nachname',
                                     'nazwisko','namedefamille','namefamilial','prijmeni','nume','sobrenome','soyadi','soyisim','soyadiniz',
                                     'sukunimi','фамилия','vezeteknev','zuname','prezime','efternavn','achternaam','apelyido','nomdefamille'];

WAXJS.LabelTokens.MIDDLENAME_TOKENS = ['=mi','middlename','middleinitial'];
									 
WAXJS.LabelTokens.FULLNAME_TOKENS = ['=name','yourname','fullname','displayname','contactname','firstandlastname','myname',
								'firstnameandlastname','namefirstlast','namelastfirst'];
WAXJS.LabelTokens.NAME_TITLE_TOKENS = ['=mr','=ms','=mrs','salutation','=title'];
WAXJS.LabelTokens.FULLNAME_GROUP_MEMBER_TOKENS = ['first','last'];

WAXJS.LabelTokens.FIRSTNAME_IN_FULLNAME = ['first', 'firstname'];
WAXJS.LabelTokens.LASTNAME_IN_FULLNAME = ['last','lastname'];
WAXJS.LabelTokens.MIDDLENAME_IN_FULLNAME = ['middle','=mi'];
WAXJS.LabelTokens.TITLE_IN_FULLNAME = ['mr','ms','mrs'];

WAXJS.LabelTokens.USERNAME_TOKENS = ['username','userid','=login','loginname','screenname','loginid','onlineid'];

WAXJS.LabelTokens.EMAIL_TOKENS = ['email','eposta','имейл','sahkoposti','электронное','электроннаяпочта','электроннуюпочту','электроннойпочты',
                                  'emailem','correoelectronico','epost','eposta','addressdecourriel','epostaadresi','epostadress','emailovaadresa',
                                  'адресэлектроннойпочты','enderecodeemail','adresemail','epostadresse','inscriptioelectronica','indirizzodipostaelettronica',
                                  'emailadresse','adresseemail','sahkopostiosoite','emailadres','mailadresse','addresscourriel','addressdecourrier',
                                  'addressdemessagerie','addresselectronique','addressmel','correoe','=courriel','direccionelectronica','indirizzoemail',
                                  'epostaadresiniz','postaelettronica','электронныйадрес'];

WAXJS.LabelTokens.CITY_TOKENS = ['city','bynavn','=apo','=fpo','=dpo','=miasto','miejscowosc','telepules','town','ville','город','stad','ciudad',
                                 'cidade','urbem','citta','varos','=ort','stadtzentrum','kaupunki','=by','byen'];

WAXJS.LabelTokens.STATE_TOKENS = ['state'];

WAXJS.LabelTokens.ZIPCODE_TOKENS = ['=zip','zipcode','=pin','pincode','postalcode','postcode','zip'];

WAXJS.LabelTokens.COUNTRY_TOKENS = ['country','nationality'];
									 
WAXJS.LabelTokens.BIRTHDAY_DAY = ['=date','=day','=dd'];
WAXJS.LabelTokens.BIRTHDAY_MONTH = ['=month','=mm','=mmm'];
WAXJS.LabelTokens.BIRTHDAY_YEAR = ['=year','=yy','=yyyy'];
WAXJS.LabelTokens.BIRTHDAY_WHOLE = ['dateofbirth','birthday','=dob'];	

WAXJS.LabelTokens.ADDRESS_LINE1_TOKENS = ['address1','addressline1','street','houseno','housenumber','house#'];
WAXJS.LabelTokens.ADDRESS_LINE2_TOKENS = ['address2','addressline2'];
WAXJS.LabelTokens.ADDRESS_LINE3_TOKENS = ['address3','addressline3'];
WAXJS.LabelTokens.ADDRESS_FULL_TOKENS = ['address'];
WAXJS.LabelTokens.HOME_PHONE_TOKENS = ['telephone','homephone','phonehome','=phone','phonenumber','phoneday','dayphone','phoneevening', 'eveningphone'];
WAXJS.LabelTokens.MOBILE_PHONE_TOKENS = ['=mobile','mobilephone','phonemobile','mobilenumber','mobileno','cellphone','cellnumber','=cellno'];
WAXJS.LabelTokens.WORK_PHONE_TOKENS = ['=work','workphone','phonework'];
WAXJS.LabelTokens.GENERIC_PHONE_TOKENS = ['phone'];
WAXJS.LabelTokens.PHONE_GROUP_ISD_CODE = ['isdcode','countrycode','intlcode','areacode','+1','+91','+44'];
WAXJS.LabelTokens.PHONE_GROUP_NUMBER = ['number'];

WAXJS.LabelTokens.GENDER_TOKENS = ['male','female','gender','sex','=m','=f','=man','=woman'];
WAXJS.LabelTokens.GENDER_TOKENS_MALE = ['=male','=m','=he','=man'];
WAXJS.LabelTokens.GENDER_TOKENS_FEMALE = ['=female','=f','=she','=woman'];

										 